All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::op_vector_diag Struct Reference

A tag class representing a matrix given by a vector placed on a certain (off-)diagonal. More...

`#include <forwards.h>`

## Detailed Description

A tag class representing a matrix given by a vector placed on a certain (off-)diagonal.

Definition at line 189 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h